> ## Documentation Index
> Fetch the complete documentation index at: https://docs.killb.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get customer profile



## OpenAPI

````yaml https://killb.app/api/v2/open-api-json get /api/v2/customers/profile
openapi: 3.0.0
info:
  title: Tarantino V2 API
  description: Tarantino V2 REST API documentation
  version: 2.0.0
  contact: {}
servers:
  - url: https://sandbox.killb.app
    description: Sandbox
  - url: https://killb.app
    description: Production
security: []
tags: []
paths:
  /api/v2/customers/profile:
    get:
      tags:
        - Customer
      summary: Get customer profile
      operationId: CustomerController_getProfile
      parameters: []
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetCustomerProfileResponseDto'
        '400':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BadRequestResponse'
        '500':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InternalServerErrorResponse'
      security:
        - jwt: []
components:
  schemas:
    GetCustomerProfileResponseDto:
      type: object
      properties:
        id:
          type: string
          example: e8d74b2f-86df-43b0-a9d9-72055a6b0432
        name:
          type: string
          example: Acme Corp S.A.S.
        documentType:
          type: string
          example: NIT
        documentNumber:
          type: string
          example: '900123456'
        complianceUrl:
          type: string
          example: https://compliance.example.com/customer/e8d74b2f
        favoriteUserId:
          type: string
          example: e8d74b2f-86df-43b0-a9d9-72055a6b0432
        active:
          type: boolean
          example: true
        status:
          type: string
          enum:
            - ACTIVE
            - PENDING
            - REJECTED
          example: ACTIVE
        note:
          type: string
          example: Customer in good standing
        createdAt:
          format: date-time
          type: string
          example: '2026-04-23T00:38:08.439Z'
        updatedAt:
          format: date-time
          type: string
          example: '2026-04-23T00:38:08.439Z'
      required:
        - id
        - name
        - active
        - status
        - createdAt
        - updatedAt
    BadRequestResponse:
      type: object
      properties:
        errorCode:
          type: string
          example: API_USER.0001
        arguments:
          type: array
          items:
            $ref: '#/components/schemas/BadRequestArgument'
        message:
          example:
            - User not found
            - Account not found
          type: array
          items:
            type: string
        statusCode:
          type: string
          example: '400'
      required:
        - errorCode
        - arguments
        - message
        - statusCode
    InternalServerErrorResponse:
      type: object
      properties:
        statusCode:
          type: string
          example: '500'
        message:
          example:
            - Internal server error
          type: array
          items:
            type: string
      required:
        - statusCode
        - message
    BadRequestArgument:
      type: object
      properties:
        key:
          type: string
          example: email
        value:
          type: string
          example: invalid@email.com
      required:
        - key
        - value
  securitySchemes:
    jwt:
      flows:
        implicit:
          authorizationUrl: /auth/login
          scopes: {}
      type: oauth2
      x-google-issuer: INTERNAL_PRODUCTION
      x-google-audiences: TARANTINO_API
      x-google-jwks_uri: https://storage.googleapis.com/public_keys_jwk/public-prod.json

````